# -*- coding: utf-8 -*-

import importlib
import importlib.util
import os
import setuptools

"""This file is used to package the Gprinter plugin.

- It was generated by the InvenTree Plugin Creator tool - version 1.1.1
- Ref: https://github.com/inventree/plugin_creator
"""

"""Read the plugin version from the source code."""
module_path = os.path.join(os.path.dirname(__file__), "gprinter", "__init__.py")
spec = importlib.util.spec_from_file_location("gprinter", module_path)
gprinter = importlib.util.module_from_spec(spec)
spec.loader.exec_module(gprinter)

with open('README.md', encoding='utf-8') as f:
    long_description = f.read()

setuptools.setup(
    name="inventree-gprinter-plugin",
    version=gprinter.PLUGIN_VERSION,
    author="Daqi Song",
    author_email="dqaria@gmail.com",
    description="Gprinter label printer plugin for InvenTree",
    long_description=long_description,
    long_description_content_type='text/markdown',
    license="MIT",
    packages=setuptools.find_packages(),
    include_package_data=True,
    install_requires=[
        'pyusb',
    ],
    setup_requires=[
        "wheel",
        "twine",
    ],
    python_requires=">=3.9",
    entry_points={
        "inventree_plugins": [
            "Gprinter = gprinter.core:Gprinter"
        ]
    },
)
